# Messaging_PolicyValue.pidl File Reference

`import "IOP_IOR.pidl";`
`import "Policy_Forward.pidl";`

Include dependency graph for Messaging_PolicyValue.pidl:

## Namespaces

namespace | Messaging

## Classes

struct | Messaging::PolicyValue

## Typedefs

typedef sequence< PolicyValue > | PolicyValueSeq

## Variables

const IOP::ComponentId | TAG_POLICIES = 2
const IOP::ServiceId | INVOCATION_POLICIES = 7

## Detailed Description

Id
  Messaging_PolicyValue.pidl,v 1.11 2005/08/19 08:02:35 jwillemsen Exp

This file was used to generate the code in Messaging_PolicyValueC.{h,cpp}

The command used to generate code from this file is:

tao_idl -oA AnyTypeCode -Ge 1 -GA -Sc -SS -Sci -Wb,pre_include=ace/pre.h -Wb,post_include=ace/post.h -Wb,export_macro=TAO_Export -Wb,export_include=tao/TAO_Export.h -Wb,anyop_export_macro=TAO_AnyTypeCode_Export -Wb,anyop_export_include=tao/AnyTypeCode/TAO_AnyTypeCode_Export.h Messaging_PolicyValue.pidl

## Typedef Documentation

typedef sequence<PolicyValue> Messaging::PolicyValueSeq

## Variable Documentation

const IOP::ServiceId Messaging::INVOCATION_POLICIES = 7

const IOP::ComponentId Messaging::TAG_POLICIES = 2